Page MenuHomePhabricator

Update Graphoid to the latest version of service-template-node
Closed, ResolvedPublic

Description

Graphoid uses one of the first versions of service-template-node . It should be upgraded to the latest one, as it includes many improvements, such as automatic request logging, request ID generation, and auto-magic error handling.

Event Timeline

mobrovac created this task.Mar 26 2015, 9:41 AM
mobrovac raised the priority of this task from to High.
mobrovac updated the task description. (Show Details)
mobrovac added a subscriber: mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 9:41 AM
Yurik added a subscriber: Yurik.Apr 3 2015, 6:24 AM

The git trees have diverged, and I have commited my fork as graphoid service in gerrit. What would be the best way to merge it? I tried git merge upstream/master, but git review shows too many patches, and i suspect it will break the system. Are we officially switching away from gerrit for the services?

The git trees have diverged, and I have commited my fork as graphoid service in gerrit. What would be the best way to merge it? I tried git merge upstream/master, but git review shows too many patches, and i suspect it will break the system.

You should squash the changes into a single commit and review. Seeing that you are merging changes from a remote, though, something like this ought to be enough:

git merge --squash upstream/master

Are we officially switching away from gerrit for the services?

No, not at all. We have mistakenly started working on it in GH, as we were using it for RESTBase (mainly for its integration with travis which allowed us to test RESTBase in conjunction with Cassandra). At this point, however, there's a general plan to migrate to Phabricator, so we'll likely get on that sooner than others.

Change 201998 had a related patch set uploaded (by Yurik):
Merged with upstream service-template-node

https://gerrit.wikimedia.org/r/201998

Change 201998 merged by Yurik:
Merged with upstream service-template-node

https://gerrit.wikimedia.org/r/201998

Yurik closed this task as Resolved.Apr 6 2015, 6:19 AM
Yurik claimed this task.
mobrovac set Security to None.